Subject: PMP> Serial Number Justification

From: "Harry Lewis <[email-masked]>" <[email-masked]>
Date: Fri, 28 Feb 97 12:16:38 MST

Here is my justification for adding prtGeneralSerialNumber to the MIB

 Serial Number is a means of uniquely identifying the printer and
 is regarded as a key element to tracking the management information
 obtained via the Printer MIB over long periods.

 RFC1759 went so far as to add optional groups to the Input and Output,
 both of which contain Model and Serial Number information. The absence
 of Serial Number for the overall printer appears like a glaring oversight.
 Presumably, Serial Number was left out of prtGeneral, due to the fact that
 it is an optional part of hrDeviceDescriptor. However, there is no standard
 (or even well established convention) for parsing Serial Number from
 hrDeviceDescriptor.

Harry Lewis - IBM Printing Systems